Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{tenant_id}.api.useago.com/api/v1/prompt-templates \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "prompt_default": "<string>" } '
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/prompt-templates"payload = { "name": "<string>", "prompt_default": "<string>"}headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', prompt_default: '<string>'})};fetch('https://{tenant_id}.api.useago.com/api/v1/prompt-templates', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "<string>", "name": "<string>", "prompt_default": "<string>", "object": "prompt_template", "prompt_type": "<string>", "created_at": "<string>" }
Create a new prompt template.
Schema for creating a prompt template via the v1 API.
Created
Response schema for prompt templates.